libstdc++: std::equal_to< void > Struct Reference

libstdc++

std::equal_to< void > Struct Reference
Utilities » Function Objects » Comparison Classes

`#include <stl_function.h>`

Inheritance diagram for std::equal_to< void >:
[legend]

## Public Types
typedef void | first_argument_type
typedef void | first_argument_type
typedef __is_transparent | is_transparent
typedef bool | result_type
typedef bool | result_type
typedef void | second_argument_type
typedef void | second_argument_type

## Public Member Functions
template<typename _Tp, typename _Up>
constexpr auto | operator() (_Tp &&__t, _Up &&__u) const noexcept(noexcept(std::forward< _Tp >(__t)==std::forward< _Up >(__u))) -> decltype(std::forward< _Tp >(__t)==std::forward< _Up >(__u))
constexpr bool | operator() (const void &__x, const void &__y) const

## Detailed Description

One of the comparison functors.

Definition at line 495 of file stl_function.h.

## Member Typedef Documentation

## ◆ first_argument_type [1/2]

typedef void std::binary_function< void, void, bool >::first_argument_type

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ first_argument_type [2/2]

typedef void std::binary_function< void, void, bool >::first_argument_type

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ is_transparent

typedef __is_transparent std::equal_to< void >::is_transparent

Definition at line 504 of file stl_function.h.

## ◆ result_type [1/2]

typedef bool std::binary_function< void, void, bool >::result_type

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ result_type [2/2]

typedef bool std::binary_function< void, void, bool >::result_type

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ second_argument_type [1/2]

typedef void std::binary_function< void, void, bool >::second_argument_type

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## ◆ second_argument_type [2/2]

typedef void std::binary_function< void, void, bool >::second_argument_type

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename _Tp, typename _Up>

auto std::equal_to< void >::operator() | ( | _Tp && | __t,
|  | _Up && | __u ) const -> decltype(std::forward< _Tp >(__t)==std::forward< _Up >(__u))
| inlineconstexprnoexcept

Definition at line 499 of file stl_function.h.

## ◆ operator()() [2/2]

bool std::equal_to< void >::operator() | ( | const void & | __x,
|  | const void & | __y ) const
| inlineconstexpr

Definition at line 377 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h